## Structures

Structures

## Synopsis

                        GocPoint;
                        GocRect;

## Description

Simple structures used in the canvas code.

## Details

### GocPoint

    typedef struct {
    	double x, y;
    } GocPoint;

A simple point.

double `x`; | horizontal position of the point.
double `y`; | vertical position of the point.

### GocRect

    typedef struct {
    	double x, y;
    	double width, height;
    } GocRect;

A simple rectangle.

double `x`; | lowest horizontal bound of the rectangle.
double `y`; | lowest vertical bound of the rectangle.
double `width`; | rectangle width.
double `height`; | rectangle height.